"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

"{ NameSpace: Tools }"

Object subclass:#Toolbox
	instanceVariableNames:'browser'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Tools'
!

!Toolbox class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!Toolbox methodsFor:'accessing'!

browser
    ^ browser
!

browser:aNewSystemBrowser
    browser := aNewSystemBrowser.
! !

!Toolbox methodsFor:'menus'!

messagesMenuFor:arg1 withMethods:arg2 withMethodSelectors:arg3 withSentSelectors:arg4 withSelfSelectorsOnly:arg5
    "raise an error: must be redefined in concrete subclass(es)"

    ^ Menu new
            addItem: ((MenuItem label: 'Not supporte') enabled: false);
            yourself.

    "Modified: / 02-09-2013 / 09:40:10 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!Toolbox methodsFor:'private'!

ensureBrowser
    browser isNil ifTrue:[
        browser := NewSystemBrowser new.
        browser open.
    ].
    ^ browser

    "Created: / 31-08-2013 / 22:46:22 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

